<nav class="navbar navbar-expand-sm navbar-custom">
  <div class="container-fluid">
    <a class="navbar-brand" routerLink="">
      <img src="assets\img\logoBtn.png" style="" alt="" />
    </a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mynavbar">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="mynavbar">
      <ul class="navbar-nav me-auto">
        <li class="nav-item">
          <a class="nav-link btn" routerLink="/planteLibrary">TOUTES NOS PLANTES</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle btn" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown"
            aria-expanded="false">
            PLANTES D'EXTÉRIEUR
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item" routerLink="/plantes-exterieur">
              Toutes les plantes d'extérieur</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" routerLink="/plantes-exterieur/mediterannee">Plantes méditérannéennes</a>
            <a class="dropdown-item" routerLink="/plantes-exterieur/terre-de-bruyere">Plantes de terre de bruyère</a>
            <a class="dropdown-item" routerLink="/plantes-exterieur/aromatiques">Plantes aromatiques</a>
            <a class="dropdown-item" routerLink="/plantes-exterieur/fruitiers">Arbres fuitiers</a>
          </div>
        </li>
        <li class="nav-item">
          <a class="nav-link btn" routerLink="/plantes-interieur">PLANTES D'INTÉRIEUR
          </a>
        </li>
      </ul>
      <form class="d-flex mx-3">
        <ul class="navbar-nav me-auto">
          <li class="nav-item">
            <button class="nav-link btn" routerLink="/basket">
              <i class="fa-solid fa-cart-shopping"></i> PANIER
            </button>
          </li>
          <div *ngIf="(activeUser != null)" class="d-flex mx-3">
            <li class="nav-item">
              <button class="nav-link btn" routerLink="/account">
                <i class="bi bi-person-circle"></i> {{activeUser.firstName}}
                {{activeUser.lastName}}
              </button>
            </li>
            <li class="nav-item ">
              <button class="nav-link btn" (click)="logout()">
                <i class="fa-solid fa-arrow-right-from-bracket"></i>DECONNEXION
              </button>
            </li>
          </div>
        </ul>
        <form *ngIf="(activeUser == null && router.url !== '/login')" class="d-flex">
          <button class="btn nav-item nav-link" routerLink="/login">
            <span class="h4"> Login </span>
          </button>
        </form>
      </form>
    </div>
  </div>
</nav>